Name:		nemiver
Version:	0.5.2
Release:	1%{?dist}
Summary:	A C/C++ Debugger for GNOME - point, click, debug!

Group:		Development/Debuggers
License:	GPLv2+
URL:		http://home.gna.org/nemiver/

Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.5/%{name}-%{version}.tar.bz2

Patch0: 	%{name}-make-libnemivercommon-global-lib.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	boost-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gdb
BuildRequires:	gettext
BuildRequires:	ghex-devel >= 2.21.4
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	gnome-vfs2-devel >= 2.14
BuildRequires:	libglademm24-devel >= 2.6.0
BuildRequires:	libgnome-devel >= 2.0
BuildRequires:	libgtksourceviewmm-devel >= 0.3.0
BuildRequires:	libgtop2-devel >= 2.14
BuildRequires:	libtool
BuildRequires:	perl(XML::Parser)
BuildRequires:	sqlite-devel >= 3.0
BuildRequires:	vte-devel >= 0.12.0

Requires(pre):	GConf2

Requires(post):	GConf2
Requires(post):	scrollkeeper

Requires(preun):	GConf2

Requires(postun):	scrollkeeper

## Needs hicolor-icon-theme so that the parent %%_datadir/icons/hicolor
## and its subtree directories are properly owned.
Requires:	hicolor-icon-theme
Requires:	gdb

## Mostly taken from its site index... :]
%description
Nemiver is an ongoing effort to write a standalone graphical debugger that
integrates well in the GNOME desktop environment. It currently features a
backend which uses the well known GNU Debugger (gdb) to debug C/C++ programs.

The yelp package must be installed to make use of Nemiver's documentation.


%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig
## Needs these for the various #include directives in its headers, as well
## as pkgconfig dependencies...
Requires:	boost-devel
Requires:	glibmm24-devel >= 2.8.5
Requires:	libxml2-devel >= 2.6.22
Requires:	gnome-vfs2-devel >= 2.14

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -b .make-libnemivercommon-global-lib 


%build
%configure --disable-static --disable-schemas-install		\
	--disable-scrollkeeper
# Use system libtool to prevent build scripts from using RPATH hacks.
make %{?_smp_mflags} LIBTOOL=%{_bindir}/libtool


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang %{name}
desktop-file-install --vendor fedora			\
	--dir %{buildroot}%{_datadir}/applications	\
	--remove-category=Application			\
	--delete-original				\
	%{buildroot}/%{_datadir}/applications/%{name}.desktop


%clean
rm -rf %{buildroot}


%pre
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
	gconftool-2 --makefile-uninstall-rule	\
		%{_sysconfdir}/gconf/schemas/%{name}-*.schemas >/dev/null ||:
fi


%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
gconftool-2 --makefile-install-rule	\
		%{_sysconfdir}/gconf/schemas/%{name}-*.schemas >/dev/null ||:
touch --no-create %{_datadir}/icons/hicolor ||:
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
scrollkeeper-update -q -o %{_datadir}/omf/%{name} ||:


%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
	gconftool-2 --makefile-uninstall-rule	\
		%{_sysconfdir}/gconf/schemas/%{name}-*.schemas >/dev/null ||:
fi


%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor ||:
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
scrollkeeper-update -q ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING COPYRIGHT NEWS README TODO 
%exclude %{_libdir}/%{name}/modules/*.a
%exclude %{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_libdir}/libnemivercommon.so.*
%{_sysconfdir}/gconf/schemas/%{name}-*.schemas
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/%{name}/
%{_datadir}/omf/%{name}/
%{_datadir}/gnome/help/%{name}/
%{_mandir}/man?/%{name}.*

%files devel
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/libnemivercommon.so
%{_libdir}/pkgconfig/libnemivercommon.pc
%{_includedir}/%{name}/


%changelog
* Fri Apr 11 2008 Peter Gordon <peter@thecodergeek.com> - 0.5.2-1
- Update to new upstream release (0.5.2)
- Add patch to keep the nemivercommon shared library in the global  %%_libdir,
  rather that in a private directory therein. This allows other sources to
  properly build against it without using nasty RPATH hacks, and also makes RPM
  correctly add same-arch dependencies from the devel subpackage to the main
  package via that unversioned binary symlink:
  + make-libnemivercommon-global-lib.patch    
- Alphabetize dependency list (aesthetic-only change)

* Sat Mar 22 2008 Peter Gordon <peter@thecodergeek.com> - 0.5.1-1
- Update to new upstream release (0.5.1)
- Drop upstreamed GCC 4.3 and build-fix patches:
  - gcc43.patch
  - multiple-a_key-params.patch

* Sun Mar 09 2008 Peter Gordon <peter@thecodergeek.com> - 0.5.0-1
- Update to new upstream release (0.5.0)
- Rebuild for GCC 4.3
- Drop upstreamed patches:
  - setbreakpoint-glade-filename.patch
  - pid_t-fix-build.patch
- Add patch to fix build errors with GCC 4.3 reduced headers:
  + gcc43.patch
- Add patch to fix multiple a_key function parameters:
  + multiple-a_key-params.patch

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.0-5
- Autorebuild for GCC 4.3

* Wed Jan 30 2008 Peter Gordon <peter@thecodergeek.com> - 0.4.0-4
- Add patch to fix missing setbreakpoint.glade file error (should be
  setbreakpointdialog.glade). Fixes bug 430971 (missing glade file).
  + setbreakpoint-glade-filename.patch

* Thu Jan 10 2008 Peter Gordon <peter@thecodergeek.com> - 0.4.0-3
- Make GConf scriplets quieter (bug 426801: "unclean" rpm transaction).
- Add upstream patch to fix compile errors with casting from unsigned int*
  to pid_t* due to libgtop API change:
  + pid_t-fix-build.patch

* Tue Aug 21 2007 Peter Gordon <peter@thecodergeek.com> - 0.4.0-2
- Rebuild with BuildID-enabled binutils.
- Update License tag (GPLv2+)

* Sun Jun 03 2007 Peter Gordon <peter@thecodergeek.com> - 0.4.0-1
- Update to new upstream release (0.4.0)

* Sat Feb 17 2007 Peter Gordon <peter@thecodergeek.com> - 0.3.0-6
- Remove chcon invocation entirely; as it is not needed.
- Don't install libtool archives (.la files) of the plugins.

* Tue Feb 13 2007 Peter Gordon <peter@thecodergeek.com> - 0.3.0-5
- chcon call should be in %%post, not %%install

* Mon Feb 12 2007 Peter Gordon <peter@thecodergeek.com> - 0.3.0-4
- Mark the libdbgperspectiveplugin.so plugin with a textrel_shlib_t context to
  workaround SELinux execmod denials.
- Hardcoded RPATHs are bad (especially when they are simply repeats of the
  standard LIBDIR stuff); so get rid of them in the supplied libtool with a
  couple of sed incantantions from the packaging guidelines.

* Wed Jan 24 2007 Peter Gordon <peter@thecodergeek.com> - 0.3.0-3
- Another fix from Michael Schwendt: Don't mark installed GConf schemas as
  %%config. 

* Tue Jan 23 2007 Peter Gordon <peter@thecodergeek.com> - 0.3.0-2
- Fix issues noted in review comments (Thanks to Michael Schwendt, #223943):
  (1) Add %%defattr line to the -devel subpackage %%files list.
  (2) Fix consistency of schemas listing by not using a glob in the
      %%files list, since they are separate in the scriplets' gconftool-2
      calls.
  (3) Add gettext and perl(XML::Parser) BuildRequires to fix mock building.
  (4) Add and explicitly version the Requires for the -devel subpackage due
      to various dependencies in the installed .pc file: libxml2-devel,
      glibmm24-devel, gnome-vfs2-devel. (glib2-devel is also needed, but that
      is pulled in as as dependency of glibmm24-devel.) 

* Mon Jan 22 2007 Peter Gordon <peter@thecodergeek.com> - 0.3.0-1
- Initial packaging for Fedora Extras.
